<div class="dialog-content-wrapper">
    
    <mat-toolbar matDialogTitle class="mat-accent m-0">
        <mat-toolbar-row fxLayout="row" fxLayoutAlign="space-between center">
            <span class="title dialog-title h1">Ativar Serviço</span>
        </mat-toolbar-row>
    </mat-toolbar>
       
  <br>
 
  <form [formGroup]="serviceForm" (ngSubmit)="activateService(serviceForm.value)" novalidate>
    <mat-dialog-content>
      <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
        <mat-form-field fxFlex="100">
            <textarea rows="32"  matInput placeholder="Contrato do Serviço" formControlName="contract"></textarea>
        </mat-form-field>
      </div>
    </mat-dialog-content>
    
    
    <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
        <mat-checkbox required  formControlName="check">Li e concordo com os termos do contrato!</mat-checkbox>
    </div>
    <br>
    <hr>
    <mat-dialog-actions position="end">
      <button mat-raised-button color="warn" mat-dialog-close>Cancelar</button>
      <button mat-raised-button [disabled]="serviceForm.invalid" color="primary">Ativar</button>
    </mat-dialog-actions>
  </form>
</div>